package com.ruixuan.launch.mapper;

import com.ruixuan.launch.entity.KuaishouLaunchCreativeRecord;

import java.util.List;

/**
 * 广告创意信息创建记录Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-14
 */
public interface KuaishouLaunchCreativeRecordMapper {
    /**
     * 查询广告创意信息创建记录
     *
     * @param id 广告创意信息创建记录主键
     * @return 广告创意信息创建记录
     */
    public KuaishouLaunchCreativeRecord selectKuaishouLaunchCreativeRecordById(String id);

    /**
     * 查询广告创意信息创建记录列表
     *
     * @param kuaishouLaunchCreativeRecord 广告创意信息创建记录
     * @return 广告创意信息创建记录集合
     */
    public List<KuaishouLaunchCreativeRecord> selectKuaishouLaunchCreativeRecordList(KuaishouLaunchCreativeRecord kuaishouLaunchCreativeRecord);

    /**
     * 新增广告创意信息创建记录
     *
     * @param kuaishouLaunchCreativeRecord 广告创意信息创建记录
     * @return 结果
     */
    public int insertKuaishouLaunchCreativeRecord(KuaishouLaunchCreativeRecord kuaishouLaunchCreativeRecord);

    /**
     * 修改广告创意信息创建记录
     *
     * @param kuaishouLaunchCreativeRecord 广告创意信息创建记录
     * @return 结果
     */
    public int updateKuaishouLaunchCreativeRecord(KuaishouLaunchCreativeRecord kuaishouLaunchCreativeRecord);

    /**
     * 删除广告创意信息创建记录
     *
     * @param id 广告创意信息创建记录主键
     * @return 结果
     */
    public int deleteKuaishouLaunchCreativeRecordById(String id);

    /**
     * 批量删除广告创意信息创建记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKuaishouLaunchCreativeRecordByIds(String[] ids);
}