package com.ruixuan.isc.entity;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 聚水潭-组合装子商品列表 kwaixiaodian_jst_items
 */
@Data
public class KwaixiaodianJstItems {


    /**
     * 组合装商品编码
     */
    private String skuId;

    /**
     * 子商品编码
     */
    private String srcSkuId;

    /**
     * 子商品数量
     */
    private Long qty;

    /**
     * 应占售价
     */
    private BigDecimal salePrice;

    /**
     * 修改时间
     */
    private String modified;

    /**
     * 组合装商品编码
     */
    private String combineSkuId;
}
