package com.ruixuan.isc.service.impl;


import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.utils.DateUtils;
import com.ruixuan.isc.entity.KuaishouRuleSettlementCheck;
import com.ruixuan.isc.mapper.KuaishouRuleSettlementCheckMapper;
import com.ruixuan.isc.service.IKuaishouRuleSettlementCheckService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2023-12-27
 */
@Service
public class KuaishouRuleSettlementCheckServiceImpl implements IKuaishouRuleSettlementCheckService {
    @Autowired
    private KuaishouRuleSettlementCheckMapper kuaishouRuleSettlementCheckMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public KuaishouRuleSettlementCheck selectKuaishouRuleSettlementCheckById(Long id) {
        return kuaishouRuleSettlementCheckMapper.selectKuaishouRuleSettlementCheckById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param kuaishouRuleSettlementCheck 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<KuaishouRuleSettlementCheck> selectKuaishouRuleSettlementCheckList(KuaishouRuleSettlementCheck kuaishouRuleSettlementCheck) {
        return kuaishouRuleSettlementCheckMapper.selectKuaishouRuleSettlementCheckList(kuaishouRuleSettlementCheck);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param kuaishouRuleSettlementCheck 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertKuaishouRuleSettlementCheck(KuaishouRuleSettlementCheck kuaishouRuleSettlementCheck) {
        kuaishouRuleSettlementCheck.setCreateTime(DateUtils.getNowDate());
        return kuaishouRuleSettlementCheckMapper.insertKuaishouRuleSettlementCheck(kuaishouRuleSettlementCheck);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param kuaishouRuleSettlementCheck 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateKuaishouRuleSettlementCheck(KuaishouRuleSettlementCheck kuaishouRuleSettlementCheck) {
        kuaishouRuleSettlementCheck.setUpdateTime(DateUtils.getNowDate());
        return kuaishouRuleSettlementCheckMapper.updateKuaishouRuleSettlementCheck(kuaishouRuleSettlementCheck);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteKuaishouRuleSettlementCheckByIds(Long[] ids) {
        return kuaishouRuleSettlementCheckMapper.deleteKuaishouRuleSettlementCheckByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteKuaishouRuleSettlementCheckById(Long id) {
        return kuaishouRuleSettlementCheckMapper.deleteKuaishouRuleSettlementCheckById(id);
    }

    @Override
    public void adds(List<KuaishouRuleSettlementCheck> checks) {
        kuaishouRuleSettlementCheckMapper.adds(checks);
    }

    @Override
    public List<JSONObject> getTotalList(Long date, Long promoterId, String promoterName) {
        return kuaishouRuleSettlementCheckMapper.getTotalList(date, promoterId, promoterName);
    }

    @Override
    public void updateFinancialReviewStatusTotal(Long statDate, Long promoterId, Integer status) {
        kuaishouRuleSettlementCheckMapper.updateFinancialReviewStatusTotal(statDate, promoterId, status);
    }

    @Override
    public List<JSONObject> detailList(Long date, Long promoterId, Long itemId) {
        return kuaishouRuleSettlementCheckMapper.detailList(date, promoterId, itemId);
    }

    @Override
    public void replacePromoterInfo(Long promoterId, String promoterInfo) {
        kuaishouRuleSettlementCheckMapper.replacePromoterInfo(promoterId, promoterInfo);
    }

    @Override
    public void updateCheck(KuaishouRuleSettlementCheck check) {
        kuaishouRuleSettlementCheckMapper.updateCheck(check);
    }
}

