package com.ruixuan.live.mapper;

import com.ruixuan.live.entity.KuaishouLiveBroadcastFiles;

import java.util.List;

/**
 * 快手—直播-附属文件（数据大盘、画像、复盘数据）Mapper接口
 *
 * @author ruoyi
 * @date 2022-06-06
 */
public interface KuaishouLiveBroadcastFilesMapper
{
    /**
     * 查询快手—直播-附属文件（数据大盘、画像、复盘数据）
     *
     * @param id 快手—直播-附属文件（数据大盘、画像、复盘数据）主键
     * @return 快手—直播-附属文件（数据大盘、画像、复盘数据）
     */
    public KuaishouLiveBroadcastFiles selectKuaishouLiveBroadcastFilesById(String id);

    /**
     * 查询快手—直播-附属文件（数据大盘、画像、复盘数据）列表
     *
     * @param kuaishouLiveBroadcastFiles 快手—直播-附属文件（数据大盘、画像、复盘数据）
     * @return 快手—直播-附属文件（数据大盘、画像、复盘数据）集合
     */
    public List<KuaishouLiveBroadcastFiles> selectKuaishouLiveBroadcastFilesList(KuaishouLiveBroadcastFiles kuaishouLiveBroadcastFiles);

    /**
     * 新增快手—直播-附属文件（数据大盘、画像、复盘数据）
     *
     * @param kuaishouLiveBroadcastFiles 快手—直播-附属文件（数据大盘、画像、复盘数据）
     * @return 结果
     */
    public int insertKuaishouLiveBroadcastFiles(KuaishouLiveBroadcastFiles kuaishouLiveBroadcastFiles);

    /**
     * 修改快手—直播-附属文件（数据大盘、画像、复盘数据）
     *
     * @param kuaishouLiveBroadcastFiles 快手—直播-附属文件（数据大盘、画像、复盘数据）
     * @return 结果
     */
    public int updateKuaishouLiveBroadcastFiles(KuaishouLiveBroadcastFiles kuaishouLiveBroadcastFiles);

    /**
     * 删除快手—直播-附属文件（数据大盘、画像、复盘数据）
     *
     * @param id 快手—直播-附属文件（数据大盘、画像、复盘数据）主键
     * @return 结果
     */
    public int deleteKuaishouLiveBroadcastFilesById(String id);

    /**
     * 批量删除快手—直播-附属文件（数据大盘、画像、复盘数据）
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKuaishouLiveBroadcastFilesByIds(String[] ids);
}
