package com.ruixuan.salesLeads.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * ***************************************************
 *
 * @Auther: zianY
 * @Descipion: 销售线索-跟进记录信息表
 * @CreateDate: 2022-05-30
 * ****************************************************
 */


@Data
@ApiModel(value = "saleClueRecordInfoPojo", description = "销售线索-跟进记录信息表")
public class SaleClueRecordInfoPojo {


    private int id;

    @ApiModelProperty("卖家id")
    private Long sellerId;

    @ApiModelProperty("当前跟进次数")
    private int recordTimes;

    @ApiModelProperty("跟进话术1-扶持 2-活动")
    private String recordScript;

    @ApiModelProperty("是否继续跟进 1-继续跟进 2-意向合作 3-跟进完成无合作")
    private int continueFlag;

    @ApiModelProperty("意向合作 1-不合作可跟进 2-添加微信 3-操盘合作 4-服务商合作 5-金牛合作 6-无法添加微信")
    private String intendedCooperation;

    @ApiModelProperty("跟进详情")
    private String recordInfo;

    @ApiModelProperty("备注")
    private String remarks;


    @ApiModelProperty("创建人")
    private Long createUserId;

    @ApiModelProperty("创建时间")
    private String createTime;

    @ApiModelProperty("任务开始时间")
    private String taskTime;



}
