package com.ruixuan.common.utils;

/**
 * 快手磁力金牛API接口常量
 */
public class KuaishouAPIConstant {


    /**
     * 查询广告列表
     */
    public static final String SEARCH_AD = "/rest/openapi/gw/esp/v1/report/ad/search";

    /**
     * 创建广告计划
     */
    public static final String CREATE_CAMPAIGN = "/rest/openapi/gw/esp/v1/campaign/create";
    /**
     * 修改广告计划
     */
    public static final String UPDATE_CAMPAIGN = "/rest/openapi/gw/esp/v1/campaign/update";
    /**
     * 修改广告计划状态
     */
    public static final String UPDATE_CAMPAIGN_STATUS = "/rest/openapi/v1/campaign/update/status";

    /**
     * 创建广告组
     */
    public static final String CREATE_UNIT = "/rest/openapi/gw/esp/v1/unit/create";
    /**
     * 修改广告组
     */
    public static final String UPDATE_UNIT = "/rest/openapi/gw/esp/v1/unit/update";
    /**
     * 修改广告组状态
     */
    public static final String UPDATE_UNIT_STATUS = "/rest/openapi/gw/esp/v1/unit/update/status";
    /**
     * 修改广告组预算
     */
    public static final String UPDATE_UNIT_DAYBUDGET = "/rest/openapi/gw/esp/v1/unit/update/budget";
    /**
     * 修改广告组出价
     */
    public static final String UPDATE_UNIT_CPABID = "/rest/openapi/gw/esp/v1/unit/update/cpaBid";
    /**
     * 修改广告组 roi
     */
    public static final String UPDATE_UNIT_ROI = "/rest/openapi/gw/esp/v1/unit/update/roi";

    /**
     * 创建创意
     */
    public static final String CREATE_CREATIVE = "/rest/openapi/gw/esp/v1/creative/create";

    /**
     * 修改创意
     */
    public static final String UPDATE_CREATIVE = "/rest/openapi/gw/esp/v1/creative/update";

    /**
     * 修改创意状态
     */
    public static final String UPDATE_CREATIVE_STATUS  = "/rest/openapi/gw/esp/v1/creative/update/status";

    /**
     * 获取地域信息
     */
    public static final String REGION = "/rest/openapi/gw/esp/v1/tool/region/list";


    /**
     * 获取地域信息
     */
    public static final String POPULATION = "/rest/openapi/v2/dmp/population/list";

    /**
     * 获取购物意图信息
     */
    public static final String PURCHASE_INTENTION = "/rest/openapi/gw/esp/v1/tool/purchase_intention/list";


    /**
     * 获取网红信息-网红查询
     */
    public static final String CELEBRITY_QUERY = "/rest/openapi/gw/esp/v1/tool/celebrity/search";

    /**
     * 获取网红信息-网红分类
     */
    public static final String CELEBRITY_TYPE = "/rest/openapi/gw/esp/v1/tool/celebrity/list";

  /**
     *  查询视频库
     */
    public static final String VIDEO_QUERY = "/rest/openapi/gw/esp/v1/filemanage/video/list";


}
