package com.ruixuan.common.weixin;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import me.chanjar.weixin.cp.api.WxCpService;

import java.util.Date;

/**
 * 企业微信配置信息
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WexinConfig {

    /**
     * id
     */
    private Integer id;
    /**
     * corpId
     */
    private String corpId;
    /**
     * agentId
     */
    private Integer agentId;
    /**
     * corpSecret
     */
    private String corpSecret;
    /**
     * aesKey
     */
    private String aesKey;
    /**
     * token
     */
    private String token;
    /**
     * remarks
     */
    private String remarks;
    /**
     * createTime
     */
    private Date createTime;
    /**
     * updateTime
     */
    private Date updateTime;

    private WxCpService wxCpService;
}
