package com.ruixuan.isc.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 快手标签对象 kuaishou_label
 *
 * @author ruoyi
 * @date 2023-03-28
 */
@Data
public class KuaishouLabel {
    private static final long serialVersionUID = 1L;

    /**
     * 标签id
     */
    private Long id;

    /**
     * 标签名
     */
    @ApiModelProperty(name = "标签名")
    private String labelName;

    /**
     * 标签颜色
     */
    @ApiModelProperty(name = "标签颜色")
    private String labelColour;

    /**
     * 标签类别
     */
    @ApiModelProperty(name = "标签类别")
    private String labelType;

    /**
     * 标签级别
     */
    @ApiModelProperty(name = "标签级别")
    private String labelLevel;
}
