package com.ruixuan.jiaoyang.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.jiaoyang.mapper.JiaoYangCallbackMapper;
import com.ruixuan.jiaoyang.service.IJiaoYangCallbackService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class JiaoYangCallbackServiceImpl implements IJiaoYangCallbackService {
    @Autowired
    private JiaoYangCallbackMapper jiaoYangCallbackMapper;

    @Override
    public void replaceTokenInfo(Long promoterId, String openId, String appId, String appSecret, String signSecret, String accessToken, String refreshToken) {
        jiaoYangCallbackMapper.replaceTokenInfo(promoterId, openId, appId, appSecret, signSecret, accessToken, refreshToken);
    }

    @Override
    public JSONObject getDataByOpenId(String openId) {
        return jiaoYangCallbackMapper.getDataByOpenId(openId);
    }

    @Override
    public void updateToken(String openId, String accessToken, String refreshToken) {
        jiaoYangCallbackMapper.updateToken(openId, accessToken, refreshToken);
    }
}
