package com.ruixuan.salesLeads.pojo.vo;

import com.ruixuan.salesLeads.pojo.SaleClueRecordInfoPojo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * ***************************************************
 *
 * @Auther: zianY
 * @Descipion: 销售线索信息表
 * @CreateDate: 2022-05-24
 * ****************************************************
 */


@Data
@ApiModel(value = "saleRecordVo", description = "销售线索详情")
public class SaleRecordVo {


    private int id;

    @ApiModelProperty("销售线索类型1:50W低潜;2:50W中高潜;3:200W高潜;4:200W-500w;5:500W")
    private int salesLeadsType;

    @ApiModelProperty("卖家id")
    private Long sellerId;

    @ApiModelProperty("'卖家昵称'")
    private String sellerName;

    @ApiModelProperty("粉丝数")
    private Long fans;

    @ApiModelProperty("所属行业")
    private int industryId;
    @ApiModelProperty("所属行业")
    private String industryName;

    @ApiModelProperty("常驻省份")
    private int provinceId;
    @ApiModelProperty("常驻省份")
    private String provinceName;

    @ApiModelProperty("常驻城市")
    private int cityId;
    @ApiModelProperty("常驻城市")
    private String cityName;

    @ApiModelProperty("联系方式")
    private Long telephone;

    @ApiModelProperty("卖家是否绑定服务商")
    private String providerFlag;

    @ApiModelProperty("是否跃迁")
    private String transitionFlag;

    @ApiModelProperty("月份")
    private int uploadDate;

    @ApiModelProperty("是否分配销售 0-否 1-是'")
    private int distributionSaleFlag;
    @ApiModelProperty("导入电话记录 0-否 1-是")
    private int importPhoneFlag;

    @ApiModelProperty("销售人员id")
    private Long saleId;
    @ApiModelProperty("销售人员")
    private String saleName;

    @ApiModelProperty("进行状态 1-未开始 2-进行中 3-已结束")
    private int state;

    @ApiModelProperty("是否转面销 0-否 1-是")
    private int offlineSaleFlag;

    @ApiModelProperty("创建人")
    private Long createUserId;

    @ApiModelProperty("创建时间")
    private String createTime;

    @ApiModelProperty("更新人")
    private Long updateUserId;

    @ApiModelProperty("更新时间")
    private String updateTime;

    @ApiModelProperty("'近30天'")
    private String nearlyThirtyDays;

    @ApiModelProperty("gmv月份")
    private Long gmvMonth;

    @ApiModelProperty("gmv")
    private String gmv;

    @ApiModelProperty("mtd日期")
    private Long mtdDate;

    @ApiModelProperty("mtd")
    private String mtd;





}
